<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>align_content</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>
            body {
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
            }

            body > div {
                display: flex;
                flex-direction: column;
                align-items: center;
                width: 50%;
            }
            .flex {
                background-color: gray;
                display: flex;
                flex-wrap: wrap;
                margin: .5em;
                height: 100px;
                width: 50%;
            }

            .flex > div {
                background-color: lightblue;
                border: 1px solid;
                width: 25%;
            }

            .flex-start {
                align-content: flex-start;
            }

            .flex-end {
                align-content: flex-end;
            }

            .center {
                align-content: center;
            }

            .space-between {
                align-content: space-between;
            }

            .space-around {
                align-content: space-around;
            }

            .stretch {
                align-content: stretch;
            }
        </style>
    </head>
    <body>
        <div>
            <strong>flex-start:</strong>
            <div class="flex flex-start">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>flex-end:</strong>
            <div class="flex flex-end">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>center:</strong>
            <div class="flex center">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>space-between:</strong>
            <div class="flex space-between">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>space-around:</strong>
            <div class="flex space-around">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
        <div>
            <strong>stretch</strong>
            <div class="flex stretch">
                <div>1</div>
                <div>2</div>
                <div>3</div>
                <div>4</div>
                <div>5</div>
                <div>6</div>
                <div>7</div>
            </div>
        </div>
    </body>
</html>